/* Flexbox für die ganze Seite */

header {
  background: url(/private/localpictures/theme/layout/new/big-lebowski-theme.webp) center center;
  padding: 20px;
  text-align: center;
  border-bottom: 1px solid #ccc;
  background-size: cover;
}

.materials::before, .CheckoutEdit .fa-chevron-right::before {
  font-family: 'Materials';
  font-weight: normal;
  font-style: normal;
  font-variation-settings: 'FILL' 0, 'wght' 300, 'GRAD' 0, 'opsz' 30 !important;
}

.materials.edit {
  display:inline-block;
  vertical-align:middle;
}

.materials.edit::before, .CheckoutEdit .fa-chevron-right::before {
  content:"edit_square";
  cursor:pointer;
  font-size:16px !important;
  font-weight:normal !important;
  margin:0 0 0 20px !important;
}

.cart-overlay.cart-overlay--active {
  display: block !important;
}

.cart-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,.8);
  display: none;
  z-index: 9998;
}

.login-panel {
  display: flex;
  flex-direction: column;
  position: fixed;
  top: 0;
  right: -400px;
  width: 400px;
  height: 100vh;
  background: #fff;
  box-shadow: -2px 0 10px rgba(0,0,0,0.2);
  overflow: hidden;
  transition: right .3s ease;
  z-index: 9999;
}

section.intro-text {
  margin: 0 0 25px;
  border-radius: 4px;
  background: rgba(252,251,249,0.85);
  border-radius: 8px;
  padding: 40px;
}

.login-panel--active {
  right: 0;
  width:100%;
  max-width:400px;
}

/* Content */
.login-panel__content {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.login-panel__form-wrapper {
  padding: 0 20px 20px;
  flex-wrap: wrap;
}

/* Close Button */
.login-panel__close {
  align-self: flex-end;
  font-size: 24px;
  background: none;
  border: none;
  cursor: pointer;
  margin: 10px;
}



.checkout-container {
  display: flex;
  flex-direction: column;
  min-height: 100vh; /* füllt die ganze Höhe */
}

/* Header */

.checkout-container .header img {
  max-width: 200px;
}

.checkout-container h2.special, .security-area .Topic-textfeld, h3.special {
  text-align:center;
  margin: 40px 0;
  border-bottom:2px dashed #e3e3e3;
  padding:0 0 10px;
  font-weight:normal;
  font-size:24px;
}

.Lnk-textfeld {
	margin:15px 0;
}

.Lnk-textfeld a {
	font-size:14px;
  text-decoration:none;
}

/* Hauptinhalt (wächst automatisch) */
.checkout-container  .content {
  flex: 1; /* nimmt den restlichen Platz ein */
  padding: 20px
}

.checkout-container .login-button {
  text-align:center;
  cursor:pointer;
  margin:30px 0;
}

.checkout-container .login-header {
  display: inline-flex;
  align-items: center;
  gap: 16px;
  max-width: 400px;
}

.checkout-container .login-icon {
  width: 110px;   /* anpassen */
  height: auto;
  flex-shrink: 0;
}

.checkout-container .login-text h2 {
  margin: 0;
  font-size: 18px;
}

.checkout-container .login-text p {
  margin: 4px 0 0;
  color: #666;
  font-size:13px;
}

/* Footer (bleibt unten, wenn Platz reicht) */
.checkout-container  .footer {
  background: #222;
  color: white;
  text-align: center;
  padding: 1rem;
}

.PflichtNotiz {
  font-size:10px;
}

.content.checkout.form .SmallLog,
.content.checkout.form  #sendit,
.content.checkout.form #gopreview,
.login-panel__button-container #dologin
{
  margin: 20px auto;
  max-width: 300px;
  display: block;
  text-align: center;
  text-decoration: none;
  color: #FFF;
  padding: 12px;
  margin-top: 8px;
  border-radius: 4px;
  width: 100%;
  border: 0;
  cursor: pointer;
  background: #333;
  font-size:20px;
}

.content.checkout.form .SmallLog:hover, 
.content.checkout.form  #sendit:hover,
.content.checkout.form #gopreview:hover {
  background: #000;
}

.content.checkout.form .lieferanschrift {
  font-size:14px;
  margin:10px  0;
}

.content.checkout.form .lieferanschrift span {
  margin:0 0 0 5px;
}

.Topic-textfeld {
  font-size:16px;
  margin:0 0 10px;
  font-weight:500;
}

.UlRadioZahlart, .UlRadioVersandart  {
  margin:0;
  padding:0;
}

li.RadioZahlart, li.RadioVersandart {
  font-weight: 400;
  font-size: 20px;
  border: 1px solid #ccc;
  border-radius: var(--radius);
  height: 45px;
  line-height: 45px;
  padding: 0 10px !important;
  margin: 10px 0;
  background: #E4E4E4;
}

li.RadioZahlartText {
}

.RadioZahlartTextDiv {
	display:none;
}

li.RadioZahlart.item_paypalchck {
  font-weight: 400;
  font-size: 20px;
  border: 1px solid #ffc439;
  background: #ffc439;
  color: #003087;
}

.PayPalCheckoutBuyerInfo span {
  display: inline-block;
  padding: 10px;
  background: #009cde;
  color: #FFF;
  font-size: 13px;
  margin: 0 10px;
  border-radius: 4px;
}

.RadioZahlArtExtPayPalCheckout {
  margin:0 20px;
}

.checkout.ownadress {
  font-size:11px;
  font-weight:500;
}

.checkout .tabbasket, .checkout .CheckoutTab {
  display:grid;
  grid-template-columns:1fr 1fr;
  margin:0 0 20px;
}

.checkout .edititem, .checkout .CheckoutEdit {
  text-align:right;
}

.checkout .CheckoutContainer {
  margin:20px 0 0;
  padding:20px 0 0;
}

.checkout_adress ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: inline-block;
  vertical-align: top;
  margin: 0 40px 0 0;
  font-size:14px;
}

.checkout .CheckoutWidgetContainer {
  margin:0 0 20px;
  padding:0 0 20px;
  border-bottom:1px solid #e4e4e4;
}

.checkout_adress .TopicRechAdress,
.checkout_adress .TopicLieferAdress {
  font-weight:600;
  margin:0 0 10px;
  font-size:18px;
}

.checkout_adress .RechAdressItem {
  margin:2px 0;
}

.clearme {
  display:none !important;
}

form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  #max-width: 800px;
  #margin: 0 auto;
}


/* zweispaltige Felder (z. B. Vorname/Nachname oder PLZ/Ort) */
.field_double {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

/* Unterelemente (Textfelder, Dropdowns etc.) */
.Cont-textfeld,
.Cont-dropdown {
  flex: 1 1 250px; /* wächst, schrumpft, min 250px breit */
}

.textfeld,
.dropdown {
  width: 100%;
  padding: 0.7rem;
  font-size: 1rem;
  box-sizing: border-box;
}

/* Abstände */
.space20 {
  height: 20px;
}

.smallcalculation_container {
  margin: 20px 0;
  font-size: 15px;
}




/*Navigation */

.ordernavigation.container.OrderNavNew {
  display:none;
}

.NewNavigation {
  display:block !important;
  text-align:center;
}

.ui-header_progress a {
  text-decoration:none;
}

.ui-cirlce {
  fill:transparent;
  stroke:transparent;
}

.ui-header_stepIcon > svg {
  #box-shadow: 0 0 0 3px #fff;
}

.ui-header_stepIcon {
  fill: #fff;
  stroke: transparent;
  stroke-width: 1;
}

.ui-header_step-active .ui-header_checkNumber {
  color: #fff;
}

.ui-header_step-active.is_done .ui-header_checkNumber {
  color: #FFF;
}

.ui-header_checkNumber {
  color: #cbcbcb;
  position: relative;
  height: 24px;
  margin: 0 0 -24px;
  top: 11px;
  z-index: 2;
  font-size: 16px;
  font-weight: 400;
}

.ui-header_step-active .ui-header_stepIcon {
  fill: #848484;
  stroke: transparent;
  stroke-width: 1;
}

.ui-header_step-active.is_done .ui-header_stepIcon {
  stroke: transparent;
  stroke-width: 2;
}

.ui-header_step-active .ui-header_stepTitle a {
  color: #484848;
}

.ui-header_stepTitle {
  color: #9c9c9c;
  font-size: 12px;
}

.ui-header_step {
  float: left;
  width: 25%;
  text-align: center;
  z-index: 1;
}

.ui-header_stepIcon {
  position: relative;
  z-index: 1;
  background-color: transparent;
  fill: #e4e4e4;
  stroke: transparent;
  stroke-width: 1;
}

.ui-header_progress .ui-header_step:first-child .ui-header_stepLine::after, .ui-header_progress .ui-header_step:first-child .ui-header_stepLine::before {
  width: 50%;
  right: 0;
}

.ui-header_progress .ui-header_step-active .ui-header_stepLine::after, .ui-header_progress .ui-header_step-active .ui-header_stepLine::before {
  background-color:#848484 !important;

}


.ui-header_progress .ui-header_step .ui-header_stepLine::after {
  right: 50%;
  width: 50%;
}

.ui-header_step.ui-header_step-current:first-child .ui-header_stepLine::after {
  width: 0;
}

.ui-header_progress .ui-header_step .ui-header_stepLine::after, .ui-header_progress .ui-header_step .ui-header_stepLine::before {
  content: "";
  position: absolute;
  right: 0;
  top: 50%;
  margin: -2px 0 0;
  height: 2px;
  width: 100%;
  background-color: #e4e4e4;
}

.ui-header_step {
  text-align: center;
}

.ui-header_stepLine {
  position: relative;
}

.ui-header_progress-padded {
  padding: 30px 0;
}

.ui-header_progress {
  padding: 30px 0 0;
  display: inline-block;
  width: 100%;
  vertical-align: middle;
}

.ui-header_progress {
  margin: 0 auto;
  padding: .5rem 1rem;
  position: relative;
}

.ui-header_progress .ui-header_step .ui-header_stepLine-last::after,  .ui-header_progress .ui-header_step .ui-header_stepLine-last::before {
  width: 50%;
  left: 0;
}

.checkout_finish {
  text-align:center;
}

.checkout_finish img {
  width:200px;
  height:auto;
}

.checkout_finish .media {
  font-size: 12px;
  margin: 40px 0 0;
  padding: 40px 0 0;
  border-top: 1px solid #d9d9d9;
}

.OperatorAddress {
  display: inline-block;
  vertical-align: top;
  margin: 0 20px 0 0;
  font-size: 12px;
}

.checkoutwidgets {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  margin:20px 0;
}

.checkout_widget {
  background: #fff;
  border-radius: var(--radius);
  padding: 20px;
  box-shadow: 0 2px 8px rgba(0,0,0,0.1);
  font-family: sans-serif;
}

.checkout .CheckoutTopic {
  font-size: 18px;
  font-weight: bold;
}

.CheckoutEdit a, .edititem a {
  color:var(--accent);
  text-decoration: none;
  font-weight: normal;
}

.CheckoutEdit .fa-chevron-right {
  margin:0;
  padding:0;
  vertical-align:middle;
}

.checkout_widget {
  background:#fff;
  border-radius:12px;
  padding:20px;
  box-shadow:0 2px 8px rgba(0,0,0,0.1);
  font-family:sans-serif;
}

.checkout .checkout_adress {
  border-top:1px solid #e4e4e4;
  padding:20px 0 0;
}

.checkout .TotalPayment {
  border-top:1px solid #e4e4e4;
  margin:20px 0 0;
  padding:20px 0 0;
}

.bemerkung-us {
  font-size:18px;
  font-weight:bold;
  margin-bottom:10px;
}

.bemerkung-area textarea {
  width:100%;
  min-height:120px;
  border:1px solid #ccc;
  border-radius:var(--radius);
  padding:10px;
  resize:vertical;
}
.bemerkung-counter input {
  border:1px solid #ccc;
  border-radius:6px;
  padding:4px;
  width:50px;
  text-align:center;
  margin-top:8px;
  float:right;
  font-size:12px;
}
.bemerkung-check-items,
.bemerkung-check-items ul {
  list-style:none;
  padding:0;
  margin:0;
}
.bemerkung-check-items ul {
  display:flex;
  gap:10px;
  align-items:flex-start;
  margin-top:12px;
}

.bemerkung-check a {
  color: var(--accent);
  text-decoration: none;
  cursor: pointer;
  font-size: 12px;
}
.bemerkung-check input[type="checkbox"] {
  transform:scale(1.2);
}

.PaymentInfoText.CheckoutInfoText, .CheckoutList {
  margin: 10px 0;
  font-size: 13px;
  color: #666;
  line-height:normal;
}

header #SmallLog-Out::before {
  font-family: 'Materials';
  font-weight: normal;
  font-style: normal;
  font-variation-settings: 'FILL' 1, 'wght' 300, 'GRAD' 0, 'opsz' 30 !important;
  content: 'person';
  font-size: 30px;
  cursor: pointer;
  display: block;
}

.CheckoutEdit {
  float: right;
}
.CheckoutList {
  list-style: none;
  padding: 0;
  margin: 0;
}

.checkout_widget .CheckoutTab {
  margin:0 0 10px;
}

.checkout_widget .name {
  font-weight: bold;
}

.checkout_widget .value {
  float: right;
  font-weight: bold;
}

.clear { clear: both; }

.button_start_order {
  text-align:center;
  margin:20px 0;
}

.button_start_order input {
  text-align: center;
  text-decoration: none;
  color: white;
  padding: 12px 24px;
  margin-top: 8px;
  border-radius: 4px;
  background: #fbb900;
  border: 0;
  font-weight: bold;
  font-size: 20px;
  cursor: pointer;
}

.button_start_order input:hover {
  background: #d79e00;
}

.payment-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
}

.CostsShippingInfo {
  margin:10px 0;
  font-weight:bold;
}

.checkout .basket-item .basket-name {
  font-size: 14px;
  margin: 0 0 10px;
  font-weight: bold;
}

.checkout .basket-inner {
  display: grid;
  grid-template-columns: 1fr 2fr 3fr;
  gap: 5px;
}

.checkout .basket-inner img {
  width:100%;
  height:auto;
}

.checkout .BasketWindowWrap {
  background: #FFF;
  padding: 20px;
  border-radius: var(--radius);
}

.checkout .basket-col.model {
  font-size:12px;
}

.checkout .basket-col.price {
  text-align:right;
}

.checkout .basket-item {
  border-bottom: 1px solid #ccc;
  margin: 10px 0 10px;
  padding: 10px 0 10px;
}

.basket-col.price .bez {
  font-size:11px;
}

.basket-col.price .mwst {
  font-size:10px;
  margin:5px 0;
}

.basket-col.price .total {
  font-size:14px;
  font-weight:bold;
}

.checkout.basket .BasketCalcWrap {
  max-width: 400px;
  width: 100%;
  text-align: right;
  float: none;
  margin:20px auto;
}

.order_thanks {
  text-align:center;
  margin:50px;
}

.order_thanks img {
  width: 100%;
  max-width: 300px;
}

.Area-textfeld {
	font-size:14px;
}


@media (max-width: 700px) {
  .checkoutwidgets {
    grid-template-columns: 1fr !important;
  }

  .payment-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
  }
}


/* bei schmalen Bildschirmen alles untereinander */
@media (max-width: 600px) {
  .field_double {
    flex-direction: unset;
  }

  .ui-header_stepTitle {
    font-size: 9px;
  }

  h2, .security-area .Topic-textfeld {
    margin: 20px 0 30px;
    font-size: 18px;
    text-align:center;
    font-weight:600;
  }
}

footer .copy_privacy {
  text-align: center;
  font-size: 14px;
  font-weight: 300;
}

footer .copy_privacy .privacy ul {
  margin:30px 0;
}

footer .copy_privacy .privacy li {
  display: inline-block;
  margin: 0 20px;
}

footer .copy_privacy .privacy a {
  text-decoration:none;
  font-size:16px;
}